<!DOCTYPE html>
<html>
    <script src="https://aframe.io/releases/1.0.4/aframe.min.js"></script>
    <!-- we import arjs version without NFT but with marker + location based support -->
    <script src="https://raw.githack.com/AR-js-org/AR.js/master/aframe/build/aframe-ar.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/aframevr/aframe@1c2407b26c61958baa93967b5412487cd94b290b/dist/aframe-master.min.js"></script>
    <script src="https://raw.githack.com/AR-js-org/AR.js/master/aframe/build/aframe-ar-nft.js"></script>

    <body style="margin: 0px; overflow: hidden">
        <a-scene
            cursor="rayOrigin: mouse"
            arjs="debugUIEnabled: false"
            style="
                margin: 0;
                padding: 0;
                width: 100%;
                height: 100%;
                position: absolute;
            "
        >
            <a-marker preset="hiro">
                <a-box
                    scale="1 0.25 1"
                    opacity="0.5"
                    position="0.15 0.1 0.1"
                    event-set__mouseenter="color: red"
                    event-set__mouseleave="color: white"
                    event-set__mousedown="color: green"
                    event-set__mouseup="color: red"
                    animation="property: rotation; from: 0 0 0; to: 0 360 0; dur: 1000; startEvents: click"
                >
                </a-box>
            </a-marker>

            <a-entity camera> </a-entity>
        </a-scene>
    </body>
</html>
